| seqretsetall

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Read and write (return) many sets of sequences

## Description

seqretsetall reads and writes multiple sets of sequences.

## Usage

Here is a sample session with seqretsetall

    % seqretsetall -osf phylip
    Read and write (return) many sets of sequences
    Input sequence set(s): globins-all.phy
    output sequence(s) [globins-all.phylip]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Read and write (return) many sets of sequences
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-sequence]          seqsetall  Sequence set(s) filename and optional
                                      format, or reference (input USA)
      [-outseq]            seqoutall  [<sequence>.<format>] Sequence set(s)
                                      filename and optional format (output USA)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -feature            boolean    Use feature information

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outseq" associated qualifiers
       -osformat2          string     Output seq format
       -osextension2       string     File name extension
       -osname2            string     Base file name
       -osdirectory2       string     Output directory
       -osdbname2          string     Database name to add
       -ossingle2          boolean    Separate file for each entry
       -oufo2              string     UFO features
       -offormat2          string     Features format
       -ofname2            string     Features file name
       -ofdirectory2       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqsetall | Sequence set(s) filename and optional format, or reference (input USA) | Readable sets of sequences | Required
[-outseq] (Parameter 2) | seqoutall | Sequence set(s) filename and optional format (output USA) | Writeable sequence(s) | <*>.format
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
-feature | boolean | Use feature information | Boolean value Yes/No | No
Associated qualifiers
"-sequence" associated seqsetall qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outseq" associated seqoutall qualifiers
-osformat2 -osformat_outseq | string | Output seq format | Any string |
-osextension2 -osextension_outseq | string | File name extension | Any string |
-osname2 -osname_outseq | string | Base file name | Any string |
-osdirectory2 -osdirectory_outseq | string | Output directory | Any string |
-osdbname2 -osdbname_outseq | string | Database name to add | Any string |
-ossingle2 -ossingle_outseq | boolean | Separate file for each entry | Boolean value Yes/No | N
-oufo2 -oufo_outseq | string | UFO features | Any string |
-offormat2 -offormat_outseq | string | Features format | Any string |
-ofname2 -ofname_outseq | string | Features file name | Any string |
-ofdirectory2 -ofdirectory_outseq | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

### Input files for usage example

### File: globins-all.phy

     7 164
    HBB_HUMAN --------VH LTPEEKSAVT ALWGKVN-VD EVGGEALGR- LLVVYPWTQR
    HBB_HORSE --------VQ LSGEEKAAVL ALWDKVN-EE EVGGEALGR- LLVVYPWTQR
    HBA_HUMAN ---------- ----VLSPAD KTNVKAA-WG KVGAHAGEYG AEALERMFLS
    HBA_HORSE ---------- ----VLSAAD KTNVKAA-WS KVGGHAGEYG AEALERMFLG
    MYG_PHYCA -------VLS EGEWQLVLHV WAKVEAD-VA GHGQDILIR- LFKSHPETLE
    GLB5_PETMAPIVDTGSVAP LSAAEKTKIR SAWAPVYSTY ETSGVDILVK FFTSTPAAQE
    LGB2_LUPLU--------GA LTESQAALVK SSWEEFNANI PKHTHRFFIL VLEIAPAAKD

              FFESFGDLST PDAVMGNPKV KAHGKKVLGA FSDGLAHLDN LKGTFATLSE
              FFDSFGDLSN PGAVMGNPKV KAHGKKVLHS FGEGVHHLDN LKGTFAALSE
              FPTTKTYFPH FDLSHGSAQV KGHGKKVADA LTNAVAHVDD MPNALSALSD
              FPTTKTYFPH FDLSHGSAQV KAHGKKVGDA LTLAVGHLDD LPGALSNLSD
              KFDRFKHLKT EAEMKASEDL KKHGVTVLTA LGAILKKKGH HEAELKPLAQ
              FFPKFKGLTT ADQLKKSADV RWHAERIINA VNDAVASMDD TEKMSMKLRD
              LFSFLKGTSE VPQNNPELQA HAGKVFKLVY EAAIQLQVTG VVVTDATLKN

              LHCDKLH--V DPENFRLLGN VLVCVLAHHF GKEFTPPVQA AYQKVVAGVA
              LHCDKLH--V DPENFRLLGN VLVVVLARHF GKDFTPELQA SYQKVVAGVA
              LHAHKLR--V DPVNFKLLSH CLLVTLAAHL PAEFTPAVHA SLDKFLASVS
              LHAHKLR--V DPVNFKLLSH CLLSTLAVHL PNDFTPAVHA SLDKFLSSVS
              SHATKHK--I PIKYLEFISE AIIHVLHSRH PGDFGADAQG AMNKALELFR
              LSGKHAK--S FQVDPQYFKV LAAVIADTVA AGDAGFEKLM SMICILLRSA
              LGSVHVSKGV ADAHFPVVKE AILKTIKEVV GAKWSEELNS AWTIAYDELA

              NALAHKYH-- ----
              NALAHKYH-- ----
              TVLTSKYR-- ----
              TVLTSKYR-- ----
              KDIAAKYKEL GYQG
              Y--------- ----
              IVIKKEMNDA A---
     7 167
    HBB_HUMAN --------VH LTPEEKSAVT ALWGKVN--V DEVGGEALGR LLVVYPWTQR
    HBB_HORSE --------VQ LSGEEKAAVL ALWDKVN--E EEVGGEALGR LLVVYPWTQR
    HBA_HUMAN ---------V LSPADKTNVK AAWGKVGAHA GEYGAEALER MFLSFPTTKT
    HBA_HORSE ---------V LSAADKTNVK AAWSKVGGHA GEYGAEALER MFLGFPTTKT
    GLB5_PETMAPIVDTGSVAP LSAAEKTKIR SAWAPVYSTY ETSGVDILVK FFTSTPAAQE
    MYG_PHYCA ---------V LSEGEWQLVL HVWAKVEADV AGHGQDILIR LFKSHPETLE
    LGB2_LUPLU--------GA LTESQAALVK SSWEEFNANI PKHTHRFFIL VLEIAPAAKD

              FFESFGDLST PDAVMGNPKV KAHGKKVLGA FSDGLAHLDN -----LKGTF
              FFDSFGDLSN PGAVMGNPKV KAHGKKVLHS FGEGVHHLDN -----LKGTF
              YFPHF-DLS- ----HGSAQV KGHGKKVADA LTNAVAHVDD -----MPNAL
              YFPHF-DLS- ----HGSAQV KAHGKKVGDA LTLAVGHLDD -----LPGAL
              FFPKFKGLTT ADQLKKSADV RWHAERIINA VNDAVASMDD T--EKMSMKL
              KFDRFKHLKT EAEMKASEDL KKHGVTVLTA LGAILKKKGH -----HEAEL
              LFSFLKGTSE VP--QNNPEL QAHAGKVFKL VYEAAIQLQV TGVVVTDATL

              ATLSELHCDK LHVDPENFRL LGNVLVCVLA HHFGKEFTPP VQAAYQKVVA
              AALSELHCDK LHVDPENFRL LGNVLVVVLA RHFGKDFTPE LQASYQKVVA
              SALSDLHAHK LRVDPVNFKL LSHCLLVTLA AHLPAEFTPA VHASLDKFLA
              SNLSDLHAHK LRVDPVNFKL LSHCLLSTLA VHLPNDFTPA VHASLDKFLS
              RDLSGKHAKS FQVDPQYFKV LAAVIADTVA AG-------- -DAGFEKLMS
              KPLAQSHATK HKIPIKYLEF ISEAIIHVLH SRHPGDFGAD AQGAMNKALE
              KNLGSVHVSK G-VADAHFPV VKEAILKTIK EVVGAKWSEE LNSAWTIAYD

              GVANALAHKY H------
              GVANALAHKY H------
              SVSTVLTSKY R------
              SVSTVLTSKY R------
              MICILLRSAY -------
              LFRKDIAAKY KELGYQG
              ELAIVIKKEM NDAA---

## Output file format

### Output files for usage example

### File: globins-all.phylip

     7 164
    HBB_HUMAN --------VH LTPEEKSAVT ALWGKVN-VD EVGGEALGR- LLVVYPWTQR
    HBB_HORSE --------VQ LSGEEKAAVL ALWDKVN-EE EVGGEALGR- LLVVYPWTQR
    HBA_HUMAN ---------- ----VLSPAD KTNVKAA-WG KVGAHAGEYG AEALERMFLS
    HBA_HORSE ---------- ----VLSAAD KTNVKAA-WS KVGGHAGEYG AEALERMFLG
    MYG_PHYCA -------VLS EGEWQLVLHV WAKVEAD-VA GHGQDILIR- LFKSHPETLE
    GLB5_PETMAPIVDTGSVAP LSAAEKTKIR SAWAPVYSTY ETSGVDILVK FFTSTPAAQE
    LGB2_LUPLU--------GA LTESQAALVK SSWEEFNANI PKHTHRFFIL VLEIAPAAKD

              FFESFGDLST PDAVMGNPKV KAHGKKVLGA FSDGLAHLDN LKGTFATLSE
              FFDSFGDLSN PGAVMGNPKV KAHGKKVLHS FGEGVHHLDN LKGTFAALSE
              FPTTKTYFPH FDLSHGSAQV KGHGKKVADA LTNAVAHVDD MPNALSALSD
              FPTTKTYFPH FDLSHGSAQV KAHGKKVGDA LTLAVGHLDD LPGALSNLSD
              KFDRFKHLKT EAEMKASEDL KKHGVTVLTA LGAILKKKGH HEAELKPLAQ
              FFPKFKGLTT ADQLKKSADV RWHAERIINA VNDAVASMDD TEKMSMKLRD
              LFSFLKGTSE VPQNNPELQA HAGKVFKLVY EAAIQLQVTG VVVTDATLKN

              LHCDKLH--V DPENFRLLGN VLVCVLAHHF GKEFTPPVQA AYQKVVAGVA
              LHCDKLH--V DPENFRLLGN VLVVVLARHF GKDFTPELQA SYQKVVAGVA
              LHAHKLR--V DPVNFKLLSH CLLVTLAAHL PAEFTPAVHA SLDKFLASVS
              LHAHKLR--V DPVNFKLLSH CLLSTLAVHL PNDFTPAVHA SLDKFLSSVS
              SHATKHK--I PIKYLEFISE AIIHVLHSRH PGDFGADAQG AMNKALELFR
              LSGKHAK--S FQVDPQYFKV LAAVIADTVA AGDAGFEKLM SMICILLRSA
              LGSVHVSKGV ADAHFPVVKE AILKTIKEVV GAKWSEELNS AWTIAYDELA

              NALAHKYH-- ----
              NALAHKYH-- ----
              TVLTSKYR-- ----
              TVLTSKYR-- ----
              KDIAAKYKEL GYQG
              Y--------- ----
              IVIKKEMNDA A---
     7 167
    HBB_HUMAN --------VH LTPEEKSAVT ALWGKVN--V DEVGGEALGR LLVVYPWTQR
    HBB_HORSE --------VQ LSGEEKAAVL ALWDKVN--E EEVGGEALGR LLVVYPWTQR
    HBA_HUMAN ---------V LSPADKTNVK AAWGKVGAHA GEYGAEALER MFLSFPTTKT
    HBA_HORSE ---------V LSAADKTNVK AAWSKVGGHA GEYGAEALER MFLGFPTTKT
    GLB5_PETMAPIVDTGSVAP LSAAEKTKIR SAWAPVYSTY ETSGVDILVK FFTSTPAAQE
    MYG_PHYCA ---------V LSEGEWQLVL HVWAKVEADV AGHGQDILIR LFKSHPETLE
    LGB2_LUPLU--------GA LTESQAALVK SSWEEFNANI PKHTHRFFIL VLEIAPAAKD

              FFESFGDLST PDAVMGNPKV KAHGKKVLGA FSDGLAHLDN -----LKGTF
              FFDSFGDLSN PGAVMGNPKV KAHGKKVLHS FGEGVHHLDN -----LKGTF
              YFPHF-DLS- ----HGSAQV KGHGKKVADA LTNAVAHVDD -----MPNAL
              YFPHF-DLS- ----HGSAQV KAHGKKVGDA LTLAVGHLDD -----LPGAL
              FFPKFKGLTT ADQLKKSADV RWHAERIINA VNDAVASMDD T--EKMSMKL
              KFDRFKHLKT EAEMKASEDL KKHGVTVLTA LGAILKKKGH -----HEAEL
              LFSFLKGTSE VP--QNNPEL QAHAGKVFKL VYEAAIQLQV TGVVVTDATL

              ATLSELHCDK LHVDPENFRL LGNVLVCVLA HHFGKEFTPP VQAAYQKVVA
              AALSELHCDK LHVDPENFRL LGNVLVVVLA RHFGKDFTPE LQASYQKVVA
              SALSDLHAHK LRVDPVNFKL LSHCLLVTLA AHLPAEFTPA VHASLDKFLA
              SNLSDLHAHK LRVDPVNFKL LSHCLLSTLA VHLPNDFTPA VHASLDKFLS
              RDLSGKHAKS FQVDPQYFKV LAAVIADTVA AG-------- -DAGFEKLMS
              KPLAQSHATK HKIPIKYLEF ISEAIIHVLH SRHPGDFGAD AQGAMNKALE
              KNLGSVHVSK G-VADAHFPV VKEAILKTIK EVVGAKWSEE LNSAWTIAYD

              GVANALAHKY H------
              GVANALAHKY H------
              SVSTVLTSKY R------
              SVSTVLTSKY R------
              MICILLRSAY -------
              LFRKDIAAKY KELGYQG
              ELAIVIKKEM NDAA---

## Data files

None.

## Notes

None.

## References

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

None.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Read and write alignments
aligncopypair | Read and write pairs from alignments
biosed | Replace or delete sequence sections
codcopy | Copy and reformat a codon usage table
cutseq | Remove a section from a sequence
degapseq | Remove non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieve sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Read and write a feature table
featmerge | Merge two overlapping feature tables
featreport | Read and write a feature table
feattext | Return a feature table original text
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Mask all ambiguity characters in nucleotide sequences with N
maskambigprot | Mask all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
nthseqset | Read and write (return) one set of sequences from many
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqcount | Read and count sequences
seqret | Read and write (return) sequences
seqretsplit | Read sequences and write them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Read and write (return) sequences, skipping first few
splitsource | Split sequence(s) into original source sequences
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Remove vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Peter Rice
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None